Skip to content
Permalink
Browse files

Install ourselves in dev-requirements.txt, not just travis.ci

Otherwise RTD always pulls from PyPI instead of self.
  • Loading branch information...
bitprophet committed Oct 3, 2018
1 parent a3c4efd commit e1ff49adf8355094ba4aae74451fff8e3cf0dfda
Showing with 4 additions and 3 deletions.
  1. +0 −3 .travis.yml
  2. +4 −0 dev-requirements.txt
@@ -31,8 +31,5 @@ install:
script:
- inv travis.blacken
- flake8
# We have no real tests at present so we just make sure installation works,
# first off.
- pip install .
# Does our own dogfooding website build ok? :D
- inv docs
@@ -6,3 +6,7 @@ wheel==0.24
twine==1.11.0
releases>=1.5.1,<2.0
flake8==2.4.0

# Install ourselves direct, even when being used on eg RTD. Otherwise we can't
# dogfood our own changes until release to PyPI.
-e .

0 comments on commit e1ff49a

Please sign in to comment.
You can’t perform that action at this time.